{
  description = "An android bytecode manipulation library";

  inputs.flake-utils.url = "github:numtide/flake-utils";
  inputs.nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";

  outputs = { self, nixpkgs, flake-utils }:
    flake-utils.lib.eachDefaultSystem (system:
      let
        pkgs = nixpkgs.legacyPackages.${system};
      in
      {
#        packages = {
#          androscalpel = { };
#          docker = pkgs.dockerTools.buildImage {
#            name = "androscalpel";
#            tag = "latest";
#            copyToRoot = pkgs.buildEnv {
#              name = "androscalpel_root_img";
#              paths = [ self.packages.${system}.androscalpel ];
#              pathsToLink = [ "/bin" ];
#            };
#          };
#          default = self.packages.${system}.androscalpel;
#        };

        devShells.default = pkgs.mkShell {
          packages = [ pkgs.rustc pkgs.cargo ];
        };
      });
}
